GET private-agents
Retrieves a list of private agents for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "29529721-fe2a-49ac-b91b-6f5047780f65",
"agent_name": "sample string 2",
"customer_guid": "f36a2235-1128-4b34-909c-98a1c4e8f067",
"geoloc": "sample string 4",
"created_utc": "2026-11-12T07:28:40",
"last_updated_utc": "2026-11-12T07:28:40",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-11-12T07:28:40",
"certificate_valid_till_utc": "2026-11-12T07:28:40",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "9a813a03-9c68-4cde-af11-de93f96d88c6",
"agent_name": "sample string 2",
"customer_guid": "54eee778-fb3e-439e-8d56-70edcc8fc516",
"geoloc": "sample string 4",
"created_utc": "2026-11-12T07:28:40",
"last_updated_utc": "2026-11-12T07:28:40",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-11-12T07:28:40",
"certificate_valid_till_utc": "2026-11-12T07:28:40",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "7ab6d45d-6f4f-494d-b624-a41e6964a5a9",
"agent_name": "sample string 2",
"customer_guid": "111ff4a9-c224-4b0a-b8a4-04c86a282db8",
"geoloc": "sample string 4",
"created_utc": "2026-11-12T07:28:40",
"last_updated_utc": "2026-11-12T07:28:40",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-11-12T07:28:40",
"certificate_valid_till_utc": "2026-11-12T07:28:40",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |